public class School
{
    private Student[] students;
    private int anzahl;

    public School()
    {
        students = new Student[5];
        setAnzahl(0);
    }
    
    public int getAnzahl()
    {
        return anzahl;
    }

    public void setAnzahl(int anzahl)
    {
        this.anzahl=anzahl;
    }
    
    public void aufnehmen(Student wen)
    {
        if (wen != null)
        {
            if (wen.getSchool() == null)
            {
                if (anzahl < students.length)
                {
                    students[anzahl] = wen;
                    anzahl++;
                    wen.setSchool(this);
                }
                else
                {
                    System.out.println("Fehler: kein Platz!");
                }
            }
            else
            {
                System.out.println("Fehler: Student bereits in einer Schule angemeldet!");
            }
        }
        else
        {
            System.out.println("Fehler: kein Student!");            
        }
    }
    
    public void abmelden(Student wer)
    {
        int pos;
        int i;
        boolean gefunden;
        
        if (wer != null)
        {
            i = 0;
            gefunden = false;
            pos = -1;
            while ((i < anzahl) && (gefunden == false))
            {
                if (students[i] == wer)
                {
                    gefunden = true;
                    pos = i;
                }
                i++;
            }
            if (gefunden == true)
            {
                for (int j=pos; j<anzahl-1; j++)
                {
                    students[j] = students[j+1];
                }
                students[anzahl-1] = null;
                anzahl--;
            }
            else
            {
                System.out.println("Fehler: Student nicht in dieser Schule!");
            }
        }
    }

    public void printSchool()
    {
        for (int i=0; i < anzahl; i++)
        {
            if (students[i] != null)
            {
                students[i].printStudent();
            }
        }
    }

    public double avgAlter()
    {
        int summe;
        int anz;

        summe = 0;
        anz = 0;
        for (int i=0; i<anzahl; i++)
        {
            if (students[i] != null)
            {
                summe = summe + students[i].getAlter();
                anz++;
            }
        }
        if (anzahl > 0)
        {
            return (double)summe/anz;
        }
        else
        {
            System.out.println("Fehler: keine Studenten in der Schule!");
            return -999;
        }
    }

    public int anzahlStudentinnen()
    {
        int anz;

        anz = 0;
        for (int i=0; i<anzahl; i++)
        {
            if (students[i] != null)
            {
                if (students[i].getMannlich() == false)
                {
                    anz++;
                }
            }
        }
        return anz;
    }

    public int maxAlter()
    {
        int max;

        max = -999;
        for (int i=0; i<anzahl; i++)
        {
            if (students[i] != null)
            {
                if (students[i].getAlter() > max)
                {
                    max = students[i].getAlter();
                }
            }
            
        }
        return max;
    }
    
    public void einfugen(Student wen, int pos)
    {
        if (wen != null)
        {
            if (wen.getSchool() == null)
            {
                if (anzahl < students.length)
                {
                    for (int i=anzahl-1; i >= pos; i--)
                    {
                        students[i+1] = students[i];
                    }
                    students[pos] = wen;
                    anzahl++;
                    wen.setSchool(this);
                }
                else
                {
                    System.out.println("Fehler: kein Platz!");
                }
            }
            else
            {
                System.out.println("Fehler: schon in einer anderen Schule!");
            }
        }
        else
        {
            System.out.println("Fehler: kein Student!");
        }

    }
}










